Bug 40053 - [GTK] Support scripts to run Buildbot slaves under daemontools
Summary: [GTK] Support scripts to run Buildbot slaves under daemontools
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Enhancement
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-02 04:06 PDT by Adrian Perez
Modified: 2010-08-31 09:25 PDT (History)
3 users (show)

See Also:


Attachments
Patch which adds scripts for running build slaves with daemontools (21.30 KB, patch)
2010-06-02 04:06 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff
Version 2 of patch, adds the missing ChangeLog modification (22.73 KB, patch)
2010-06-09 15:46 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Perez 2010-06-02 04:06:07 PDT
Created attachment 57642 [details]
Patch which adds scripts for running build slaves with daemontools

It looks like sometimes PulseAudio and/or Xvfb in the GTK+ build slaves
decide to die and they need to be restarted [1]. In the  build slaves
which we have running those services (plus a crash dump grabber, and
Buildbot itself) are run under control of DJB's daemontools [2], which
takes care of restarting services automatically when they die.

I was suggested to share the scripts [3], so I cleaned them up, added
support for a configuration file, a README file, and crafted a patch
that adds the files under "WebKitTools/BuildSlaveSupport/gtk".

---
[1] https://lists.webkit.org/pipermail/webkit-dev/2010-May/012921.html
[2] http://cr.yp.to/daemontools.html
[3] https://lists.webkit.org/pipermail/webkit-dev/2010-May/012929.html
Comment 1 Philippe Normand 2010-06-02 05:50:27 PDT
Looks like you forgot the ChangeLog. Prefill it with prepare-ChangeLog --bug xxxx
Comment 2 Adrian Perez 2010-06-09 15:46:08 PDT
Created attachment 58300 [details]
Version 2 of patch, adds the missing ChangeLog modification

I have updated my Svn checkout, used prepare-ChangeLog as suggested, and finally svn-create-patch. I hope that now the patch is in a better shape.

BTW, thanks for the reminder, Philippe.
Comment 3 Martin Robinson 2010-08-25 11:21:56 PDT
Comment on attachment 58300 [details]
Version 2 of patch, adds the missing ChangeLog modification

Collabora may one day submit patches doing the same thing with monit.
In that case these may need to move to a subdirectory, but I think for
now this is fine.
Comment 4 WebKit Commit Bot 2010-08-31 09:25:30 PDT
Comment on attachment 58300 [details]
Version 2 of patch, adds the missing ChangeLog modification

Clearing flags on attachment: 58300

Committed r66491: <http://trac.webkit.org/changeset/66491>
Comment 5 WebKit Commit Bot 2010-08-31 09:25:35 PDT
All reviewed patches have been landed.  Closing bug.